View Issue Details

IDProjectCategoryView StatusLast Update
0015461ScribusUser Interfacepublic2019-06-04 20:55
Reporterdascolar Assigned Tojghali  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.5.4 
Target VersionFixed in Version1.5.5.svn 
Summary0015461: Icons are barely visible with Breeze Dark Theme
DescriptionWith Breeze Dark Theme, icons are barely visible with KDE under Arch Linux. (see screenshot)

If there is a setting to use a light icon theme, I didn't find it.
Tagspatch
PatchYes

Activities

dascolar

2018-10-23 12:13

reporter  

ale

2018-10-23 13:16

manager   ~0045535

i don't think that scribus supports dark themes yet..
there has been some work on it, but it's not in scribus itself yet.

if somebody wants to help on that, raise your hand!

Luna Nightshade

2018-10-23 16:50

reporter   ~0045536

Well, if it is just taking the icons and inverting their colors, I could make you a zip-file with the png's ...

Luna Nightshade

2018-10-23 18:49

reporter   ~0045537

I have to admit - I underestimated the number of icons ... it took me roughly two hours to make a baseline version. It is based on the 1.5.1 icon scheme ...
I think it might work if the file is extracted to {SCRIBUS_DIRECTORY}\share\icons
Then go to settings and choose the 1.5.1 for dark Icons, click ok and restart the program ...
If there are icons that do not work in the current version, they can be changed easily.

scribus_1_5_1_for_dark.7z (650,194 bytes)

dascolar

2018-12-07 19:45

reporter   ~0045702

Thank you very much. It looks great!

mozzribo

2019-05-03 13:50

reporter   ~0046174

Thank You for the energy and sharing, Luna. It's perfect!

ale

2019-05-12 20:51

manager   ~0046204

i've created a branch on gitlab with the patch.

the appimage is here for the next week:

https://gitlab.com/impagina/scribus-patched/-/jobs/211107366/artifacts/file/build-appimage/Scribus-588197e-x86_64.AppImage

the diff is here:

https://gitlab.com/impagina/scribus-patched/compare/appimage...dark

please test and comment!

ale

2019-05-12 20:52

manager   ~0046205

@Luna Nightshade, am i wrong or not all the icons have been converted?

Luna Nightshade

2019-05-13 04:53

reporter   ~0046206

I am currently using the dark set with linux mint and I have not stumbled upon unconverted Icons ...
Though I do believe that you need to clean-up the icon folder - there are some that I have never seen in the program itself ...
If you direct me to the ones missing, I should be able to change them as well.

ale

2019-05-13 11:35

manager   ~0046208

i don't have a dark theme (nor now how to add one to my system... to be honest) so i cannot try myself.

i've tried to get it to run on a friend's computer and the issue was mostly visible (or hard to see : - ) in the main toolbar. the properties palette looked fine to me.

if you're on linux, can you try to download the appimage linked above?
if you don't see the issue, you could upload a screenshot and i will probably be able to tell if it was i was seeing on cedric's computer or not...

Luna Nightshade

2019-05-13 14:50

reporter   ~0046212

I downloaded the AppImage, and it does not use the System set Dark Theme (the one from the Scribusfriends ppa repository does though).
I'll attach a screenshot on how it should look.

ale

2019-05-15 15:46

manager   ~0046219

Last edited: 2019-05-15 19:32

View 2 revisions

ok, i got it!

can you please try

https://gitlab.com/impagina/scribus-patched/-/jobs/213076892/artifacts/file/build-appimage/Scribus-d6f0ffc-x86_64.AppImage

?

if it's ok i will make a patch that will have to be applied on top of your zip file.

Luna Nightshade

2019-05-16 16:09

reporter   ~0046221

The AppImage package still does not use the system's theme, but I see the new icons loaded.
(There is apparently one image in the preferences dialogue that's not changed - but that is already missing in the original zip file, It should be fine though.)

ale

2019-05-16 19:40

manager   ~0046222

@luna nightshade are you using gnome or a derivative of it?

probono has added a condition in the appimage to pick the gtk theme if gnome is detected (well, he has set the theme to always be the gtk one... i've modified the script to only pick gtk when gnome is detected... and not on my clean/"qt" system).

in the preferences, can you change the theme and pick the one you would like to have?

if i'm supposing correctly, i will have to improve the gtk detection to only set the theme to gtk if the user is using gnome and has not set the theme to be something different than the default one...

https://gitlab.com/impagina/scribus-patched/blob/appimage/AppImage-package/AppRun#L61

if somebody has a clue on how to detect that, help is welcome!

ale

2019-05-16 20:20

manager   ~0046225

here is the


*************************

P A T C H

*************************

without all the images which have to be taken from @luna nightshade 7zip file!

(i hope that i got the patch right and i don't miss any file... the full patch is here: https://gitlab.com/impagina/scribus-patched/compare/appimage...dark )

dark.diff (2,374 bytes)
diff --git a/resources/iconsets/1_5_1_dark/1_5_1_dark.xml b/resources/iconsets/1_5_1_dark/1_5_1_dark.xml
new file mode 100644
index 000000000..f5623d676
--- /dev/null
+++ b/resources/iconsets/1_5_1_dark/1_5_1_dark.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="utf8"?>
+<iconset>
+	<author>Dezso Markon</author>
+	<license>GPLv2+</license>
+	<path>1_5_1_dark</path>
+	<activeversion>1.5.1 dark</activeversion>
+	<nametext lang="en_US">Scribus 1.5.1 dark</nametext>
+	<nametext lang="fr">Scribus 1.5.1 dark</nametext>
+	<nametext lang="de_DE">Scribus 1.5.1 dark</nametext>
+</iconset>
diff --git a/resources/iconsets/CMakeLists.txt b/resources/iconsets/CMakeLists.txt
index cb6b8ca1e..b4d735bbe 100644
--- a/resources/iconsets/CMakeLists.txt
+++ b/resources/iconsets/CMakeLists.txt
@@ -69,4 +69,36 @@ file( GLOB SCRIBUS_XML_1_5_1 1_5_1/*.xml )
 install(FILES ${SCRIBUS_XML_1_5_1} DESTINATION ${ICONDIR})
 
 
+##################
+
+
+#Install our 1.5.1 dark icons
+file( GLOB SCRIBUS_ICONS_1_5_1_DARK_UNSORTED 1_5_1_dark/*.jpg 1_5_1_dark/*.png 1_5_1_dark/*.xpm )
+install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_UNSORTED} DESTINATION ${ICONDIR}/1_5_1_dark/)
+
+#Install our 16x16 icons
+file( GLOB SCRIBUS_ICONS_1_5_1_DARK_10 1_5_1_dark/10/*.jpg 1_5_1_dark/10/*.png 1_5_1_dark/10/*.xpm )
+install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_10} DESTINATION ${ICONDIR}/1_5_1_dark/10)
+
+#Install our 16x16 icons
+file( GLOB SCRIBUS_ICONS_1_5_1_DARK_16 1_5_1_dark/16/*.jpg 1_5_1_dark/16/*.png 1_5_1_dark/16/*.xpm )
+install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_16} DESTINATION ${ICONDIR}/1_5_1_dark/16)
+
+#Install our 22x22 icons
+file( GLOB SCRIBUS_ICONS_1_5_1_DARK_22 1_5_1_dark/22/*.jpg 1_5_1_dark/22/*.png 1_5_1_dark/22/*.xpm )
+install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_22} DESTINATION ${ICONDIR}/1_5_1_dark/22)
+
+#Install our 32x32 icons
+file( GLOB SCRIBUS_ICONS_1_5_1_DARK_32 1_5_1_dark/32/*.jpg 1_5_1_dark/32/*.png 1_5_1_dark/32/*.xpm )
+install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_32} DESTINATION ${ICONDIR}/1_5_1_dark/32)
+
+#Install our stylesheet icons
+file( GLOB SCRIBUS_ICONS_1_5_1_DARK_STYLE 1_5_1_dark/stylesheet/*.png )
+install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_STYLE} DESTINATION ${ICONDIR}/1_5_1_dark/stylesheet)
+
+#Install our XML
+file( GLOB SCRIBUS_XML_1_5_1_DARK 1_5_1_dark/*.xml )
+install(FILES ${SCRIBUS_XML_1_5_1_DARK} DESTINATION ${ICONDIR})
+
+
 ##################
dark.diff (2,374 bytes)

Luna Nightshade

2019-05-17 04:30

reporter   ~0046226

I am using Linux MINT 19.1 with the MATE Desktop (which apparently is a derivative of gnome 2).

ale

2019-05-17 06:45

manager   ~0046227

then, it's very likely that the issue you are seeing is with the way the appimage is built, not with this patch.

@jghali, would you mind accepting this patch?

ale

2019-05-17 20:09

manager   ~0046231

@luna nightshade ... i have now a vm with mint + mate... how can I get the same theme as you have?

Luna Nightshade

2019-05-18 04:25

reporter   ~0046232

I have "Mint-Y-Dark-Blue", which can be set via the "Appearance" App in the "Preferences" Category. Just set the Theme there.

jghali

2019-05-19 23:27

administrator   ~0046237

The dark icon theme has now been committed to trunk.

ale

2019-05-20 14:11

manager   ~0046239

thanks jean!

Issue History

Date Modified Username Field Change
2018-10-23 12:13 dascolar New Issue
2018-10-23 12:13 dascolar File Added: scribus_barely visible icon.png
2018-10-23 13:16 ale Note Added: 0045535
2018-10-23 16:50 Luna Nightshade Note Added: 0045536
2018-10-23 18:49 Luna Nightshade File Added: scribus_1_5_1_for_dark.7z
2018-10-23 18:49 Luna Nightshade Note Added: 0045537
2018-12-07 19:45 dascolar Note Added: 0045702
2019-05-03 13:50 mozzribo Note Added: 0046174
2019-05-03 15:09 ale Tag Attached: patch
2019-05-03 15:10 ale Summary Icons are barely visible with Breeze Dark Theme => [PATCH]: Icons are barely visible with Breeze Dark Theme
2019-05-03 15:10 ale Patch No => Yes
2019-05-12 20:51 ale Note Added: 0046204
2019-05-12 20:52 ale Note Added: 0046205
2019-05-13 04:53 Luna Nightshade Note Added: 0046206
2019-05-13 11:35 ale Note Added: 0046208
2019-05-13 14:50 Luna Nightshade File Added: Screenshot at 2019-05-13 16-49-04.png
2019-05-13 14:50 Luna Nightshade Note Added: 0046212
2019-05-15 15:46 ale Note Added: 0046219
2019-05-15 19:32 ale Note Edited: 0046219 View Revisions
2019-05-16 16:09 Luna Nightshade Note Added: 0046221
2019-05-16 19:40 ale Note Added: 0046222
2019-05-16 20:20 ale File Added: dark.diff
2019-05-16 20:20 ale Note Added: 0046225
2019-05-17 04:30 Luna Nightshade Note Added: 0046226
2019-05-17 06:45 ale Note Added: 0046227
2019-05-17 20:09 ale Note Added: 0046231
2019-05-18 04:25 Luna Nightshade Note Added: 0046232
2019-05-19 23:26 jghali Summary [PATCH]: Icons are barely visible with Breeze Dark Theme => Icons are barely visible with Breeze Dark Theme
2019-05-19 23:27 jghali Assigned To => jghali
2019-05-19 23:27 jghali Status new => resolved
2019-05-19 23:27 jghali Resolution open => fixed
2019-05-19 23:27 jghali Fixed in Version => 1.5.5.svn
2019-05-19 23:27 jghali Note Added: 0046237
2019-05-20 14:11 ale Note Added: 0046239
2019-06-04 20:55 cbradney Status resolved => closed